#!/bin/bash

CURDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
TMP=/tmp/status
source "$TMP"


# Move selectedly tagged mails to folders if they are only in INBOX
bash $CURDIR/scripts/move-tag.sh

# If offline mode, do a quick sync
if [ "$var_conn" == "off" ]; then
  echo "[INFO] Offline mode enabled. Do a quick sync"
  offlineimap -q
else
  offlineimap
fi
notmuch new


### Sort emails

# Trash mod requests, Junk, Trash
notmuch tag +ignore -unread -- path:Lists.MOD.Trash/**
notmuch tag +spam -- path:INBOX.Junk/**
notmuch tag +del -unread -- path:Trash/**

# Moderation
notmuch tag +mod -- path:Lists.MOD/**

# CVS
notmuch tag +cvs -- path:Lists.Web.CVS-Notify/**

# Sent
#notmuch tag +sent -unread -- path:Sent/**

# Archiv
notmuch tag +archive -- path:ARCHIVE/**


# Automatic tagging based on location of mails in folders
bash $CURDIR/scripts/tag-folder.sh # generates commands from tag-folder.csv
bash $CURDIR/scripts/tag-folder-rules.sh  # executes generated commands
